Controller listeners
===================================

.. module:: pyo

These objects can be used to create MIDI and/or OSC listeners without the
need to boot ands start an audio server before receiving messages.

*MidiListener*
-----------------------------------

.. autoclass:: MidiListener
   :members:

*MidiDispatcher*
-----------------------------------

.. autoclass:: MidiDispatcher
   :members:

*OscListener*
-----------------------------------

.. autoclass:: OscListener
   :members:
